8 Replies Latest reply on Jan 20, 2016 7:37 AM by Jean-Pierre Matsumoto

    Build teiid designer and use in Eclipse Luna

    Daan Creemers Newbie

      Dear all,

       

      I would like to use the last updated source code of Teiid Designer to build and use in my JBoss 8.1.0. I followed this guide (Setting Up Your Eclipse Development Environment for Teiid Designer 8.x) to download and build Teiid from Teiid-Designer/teiid-designer · GitHub (I forked this repository). Building it is possible if the tests are skipped in maven. Running Teiid Designer from the IDE using run configuration Eclipse Application -> Designer Windows produces a Launch Error: the application could not start. I also tried using the run configuration by disabling the plugin techpreview.designer.ui because this plugin contains errors.

      The error log after starting a run configuration contains quite some FrameworkEvent ERROR's. Example errors are 'org.osgi.framework.BundleException: Could not resolve module: org.eclipse.ant.ui' and 'org.osgi.framework.BundleException: Could not resolve module: org.eclipse.ui.views.properties.tabbed'.

       

      Could somebody explain how to use the last version of the Teiid Designer?

       

      Kind regards,

      Daan

        • 1. Re: Build teiid designer and use in Eclipse Luna
          Mark Drilling Novice

          Daan,

          After you imported the designer plugins, I assume you are getting a clean build (no build errors) in the ide?  (Yes, you can go ahead and close the techpreview plugin).

          Also, not sure what you mean by "build and use in my JBoss 8.1.0"... Are you referring to 8.1 of the JBoss Developer Studio?

          Mark

          • 2. Re: Build teiid designer and use in Eclipse Luna
            Daan Creemers Newbie

            Dear Mark,

             

            Importing the designer plugins and performing a full clean build does not give any build errors (the techpreview plugin project is closed). I do a local build using the build.bat script provided. For this to work the tests have to be excluded otherwise there is a build failure. (see figure below)error in build.png

            Excluding the tests gives a successful build. The last step is to run Teiid Designer from the IDE. Following the steps Run->Run Configurations->Eclipse Application->Designer Windows -> Run shows a dialog that 'The application could not start'. The provided log is attached to this post.

            Yes I am referring to 8.1 of the JBoss Developer Studio.

             

            Regards,

            Daan

            • 3. Re: Build teiid designer and use in Eclipse Luna
              Mark Drilling Novice

              You followed Setting Up Your Eclipse Development Environment for Teiid Designer 8.x - correct?  Make sure especially that you have done the Target Platform Setup steps.  You will need to build the target platform,  then open the resulting file using File > Open.  Then make sure it is set in the preferences.

              Thanks,

              Mark

              • 4. Re: Build teiid designer and use in Eclipse Luna
                Daan Creemers Newbie

                That are indeed the steps I followed, including the steps of the Target Platform Setup. Can I use the target file that is provided in the git repo or do I need to regenerate the file by executing the build.sh?

                 

                Regards,

                Daan

                • 5. Re: Build teiid designer and use in Eclipse Luna
                  Mark Drilling Novice

                  Daan,

                  Rebuild the target platform using the script - there should be a .bat for windows.  Then do a File>Open in eclipse using the latest generated target platform.

                  Mark

                  • 6. Re: Build teiid designer and use in Eclipse Luna
                    Daan Creemers Newbie

                    Dear Mark,

                     

                    I rebuilt the target platform using the build.bat script and opened in eclipse where a lot of target definitions are resolved automatically. Performing a full clean and build of all projects finishes successfully. Nevertheless, there is one project ('org.teiid.datatools.connectivity.ui') still has a red cross on the project. Particularly in the file org.teiid.datatools.connectivity.ui/Activator.java and in the META-INF/MANIFEST.MF where the Bundle-Version is 9.1.0.qualifier, while the suggestion is to 'Correct the miner version to 9.2.0.qualifier'. Then I did a local build of the git repo by running the build.bat script without including the tests, because the tests fail. The build is successful. The last step is running Teiid Designer from the IDE. Selecting the 'Eclipse Application->Designer Windows' launch configuration and running it gives the same error messages as before, see also the log I attached before.

                     

                    Regards,
                    Daan

                    • 7. Re: Build teiid designer and use in Eclipse Luna
                      phantomjinx Newbie

                      Daan,

                       

                      Did you actually set the new target platform as eclipse's target platform. Opening the .target file in Eclipse and waiting for it to resolve will not do the trick. Once it has resolved, there is a "Set as Target Platform" link at the top-right which should be clicked. This will apply the .target as the target platform. This can be verified by going into the Eclipse Preferences window and displaying Plugin Development -> Target Platform. It should list the Running Platform and the new target-platform-4.2.x.Final with the latter being Active. Verifying that should get you some progress.

                       

                      FYI, the maven command-line build and the Eclipse IDE build have no relation to one another. The former picks up the target platform using maven while Eclipse needs a little help hence this .target file.

                       

                      Paul

                      • 8. Re: Build teiid designer and use in Eclipse Luna
                        Jean-Pierre Matsumoto Newbie

                        Top-right link "Set as Target Platform" has worked for me to fix all errors "Bundle 'xxx' cannot be resolved".

                         

                        Jean-Pierre